package com.pj.project.tb_gate_command_log;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_gate_command_log -- 车辆道闸命令日志
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbGateCommandLog.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGateCommandLog extends Model<TbGateCommandLog> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_gate_command_log";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-gate-command-log";	
	public static final String PERMISSION_CODE_DEL = "tb-gate-command-log-del";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	

	/**
	 * 命令 
	 */
	private String command;	

	/**
	 * 设备SN 
	 */
	private String sn;	

	/**
	 * 设备名 
	 */
	private String terminalName;	

	/**
	 * 通道 
	 */
	private String venuesName;	

	/**
	 * 下发时间 
	 */
	private Date createTime;

	/**
	 * 回复内容 
	 */
	private String responseContent;	

	/**
	 * 创建人 
	 */
	private String createBy;	





	


}
